## fu-device-metadata fu-device-metadata — a device helper object |

## Types and Values

#define | FU_DEVICE_METADATA_TBT_CAN_FORCE_POWER
#define | FU_DEVICE_METADATA_UEFI_DEVICE_KIND
#define | FU_DEVICE_METADATA_UEFI_FW_VERSION
#define | FU_DEVICE_METADATA_UEFI_CAPSULE_FLAGS

## Description

An object that makes it easy to close a device when an object goes out of scope.

See also: FuDevice

## Functions

## Types and Values

### FU_DEVICE_METADATA_TBT_CAN_FORCE_POWER

    #define FU_DEVICE_METADATA_TBT_CAN_FORCE_POWER "Thunderbolt::CanForcePower"

If the system can force-enable the Thunderbolt controller. Consumed by the thunderbolt plugin.

### FU_DEVICE_METADATA_UEFI_DEVICE_KIND

    #define FU_DEVICE_METADATA_UEFI_DEVICE_KIND "UefiDeviceKind"

The type of UEFI device, e.g. "system-firmware" or "device-firmware" Consumed by the uefi plugin when other devices register fake devices that need to be handled as a capsule update.

### FU_DEVICE_METADATA_UEFI_FW_VERSION

    #define FU_DEVICE_METADATA_UEFI_FW_VERSION "UefiFwVersion"

The firmware version of the UEFI device specified as a 32 bit unsigned integer. Consumed by the uefi plugin when other devices register fake devices that need to be handled as a capsule update.

### FU_DEVICE_METADATA_UEFI_CAPSULE_FLAGS

    #define FU_DEVICE_METADATA_UEFI_CAPSULE_FLAGS "UefiCapsuleFlags"

The capsule flags for the UEFI device, e.g. `EFI_CAPSULE_HEADER_FLAGS_PERSIST_ACROSS_RESET` Consumed by the uefi plugin when other devices register fake devices that need to be handled as a capsule update.